org.keycloak.models.sessions.infinispan.initializer

## Class InitializerState.ExternalizerImpl

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.initializer.InitializerState.ExternalizerImpl

- All Implemented Interfaces:
    Serializable, org.infinispan.commons.marshall.Externalizer<InitializerState>
  Enclosing class:
    InitializerState

      public static class InitializerState.ExternalizerImpl
      extends Object
      implements org.infinispan.commons.marshall.Externalizer<InitializerState>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalizerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InitializerState` | `readObject(ObjectInput input)`
    `InitializerState` | `readObjectVersion1(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, InitializerState value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalizerImpl

          public ExternalizerImpl()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                                  InitializerState value)
                           throws IOException

      Specified by:
        `writeObject` in interface `org.infinispan.commons.marshall.Externalizer<InitializerState>`
      Throws:
        `IOException`

    - #### readObject

          public InitializerState readObject(ObjectInput input)
                                      throws IOException,
                                             ClassNotFoundException

      Specified by:
        `readObject` in interface `org.infinispan.commons.marshall.Externalizer<InitializerState>`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectVersion1

          public InitializerState readObjectVersion1(ObjectInput input)
                                              throws IOException

      Throws:
        `IOException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.